# This file created by conda-build 3.16.0
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/python-2.7.15-on-linux_32, last modified Tue Oct  9 14:48:27 2018
# ------------------------------------------------

package:
    name: python
    version: 2.7.15
source:
    -   patches:
            - 0001-backport-Python-3.6-_PYTHON_SYSCONFIGDATA_NAME.patch
            - 0002-Add-Anaconda-Distribution-version-logic.patch
            - 0003-Darwin-Hack-sys.-exec_-prefix-if-run-from-python.app.patch
            - 0004-Darwin-Add-arch-x86_64-to-UnicCCompiler-ld_args.patch
            - 0005-Win32-distutils-Also-look-for-executable.bat.patch
            - 0006-Win32-Ensure-Library-bin-is-in-os.environ-PATH.patch
            - 0007-Win32-Change-FD_SETSIZE-from-512-to-2048.patch
            - 0008-Win32-Fixes-for-Windows-GCC-interop-needed-by-RPy2-a.patch
            - 0009-Do-not-pass-g-to-GCC-when-not-Py_DEBUG.patch
            - 0010-Darwin-Look-in-sysroot-usr-lib-include-if-sysroot-is.patch
            - 0011-runtime_library_dir_option-Use-1st-word-of-CC-as-com.patch
            - 0012-Mark-sysconfigdata.py-as-utf-8.patch
            - 0013-Fix-find_library-so-that-it-looks-in-sys.prefix-lib-.patch
            - 0014-Fix-cross-compilation-on-Debian-based-distros.patch
        sha256: 18617d1f15a380a919d517630a9cd85ce17ea602f9bbdc58ddc672df4b0239db
        url: https://www.python.org/ftp/python/2.7.15/Python-2.7.15.tgz
build:
    ignore_run_exports:
        - bzip2
    no_link:
        - bin/python2.7
    number: '1'
    string: h77bded6_1
requirements:
    build:
        - binutils_impl_linux-32 2.31.1 he3168a9_1
        - binutils_linux-32 2.31.1 he3168a9_3
        - gcc_impl_linux-32 7.3.0 he2ea625_1
        - gcc_linux-32 7.3.0 hd2c3c17_3
        - gxx_impl_linux-32 7.3.0 h9268252_1
        - gxx_linux-32 7.3.0 hd2c3c17_3
        - libgcc-ng 8.2.0 h9268252_1
        - libstdcxx-ng 8.2.0 h9268252_1
        - libx11-common-cos6-i686 1.6.4 h4fe2c13_0
        - libx11-cos6-i686 1.6.4 h1d3f9ae_0
        - libx11-devel-cos6-i686 1.6.4 hfa5a665_0
        - make 4.2.1 h1bed415_1
        - pkg-config 0.29.2 h1bed415_8
        - xorg-x11-proto-devel-cos6-i686 7.7 h22e4318_0
    host:
        - bzip2 1.0.6 h14c3975_5
        - ca-certificates 2018.03.07 0
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 h97ff0df_4
        - libgcc-ng 8.2.0 h9268252_1
        - libstdcxx-ng 8.2.0 h9268252_1
        - ncurses 6.1 hf484d3e_0
        - openssl 1.0.2p h14c3975_0
        - readline 7.0 h7b6447c_5
        - sqlite 3.25.2 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - zlib 1.2.11 h907e355_2
    run:
        - libffi >=3.2.1,<4.0a0
        - libgcc-ng >=7.3.0
        - libstdcxx-ng >=7.3.0
        - ncurses >=6.1,<7.0a0
        - openssl >=1.0.2p,<1.0.3a
        - readline >=7.0,<8.0a0
        - sqlite >=3.25.2,<4.0a0
        - tk >=8.6.8,<8.7.0a0
        - zlib >=1.2.11,<1.3.0a0
test:
    commands:
        - python -V
        - pydoc -h
        - python-config --help
        - idle -h
        - python -c "import sysconfig; print sysconfig.get_config_var('CC')"
about:
    description: 'Python is a widely used high-level, general-purpose, interpreted,
        dynamic

        programming language. Its design philosophy emphasizes code

        readability, and its syntax allows programmers to express concepts in

        fewer lines of code than would be possible in languages such as C++ or

        Java. The language provides constructs intended to enable clear programs

        on both a small and large scale.

        '
    dev_url: https://docs.python.org/devguide/
    doc_source_url: https://github.com/python/pythondotorg/blob/master/docs/source/index.rst
    doc_url: https://www.python.org/doc/versions/
    home: http://www.python.org/
    license: PSF
    license_file: LICENSE
    summary: General purpose programming language
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - jakirkham
        - jjhelmus
        - mingwandroid
        - msarahan
        - pelson
